Permalink
Browse files

edit gemspec directly instead of using jeweler

  • Loading branch information...
1 parent 1d5bff7 commit ad2efe500b073ebe8ceec76d8aa6ef98dbc2f845 @ninjudd committed Mar 28, 2013
Showing with 31 additions and 90 deletions.
  1. +3 −1 .gitignore
  2. +1 −0 .rbenv-version
  3. +3 −0 Gemfile
  4. +2 −29 Rakefile
  5. +0 −1 VERSION
  6. +3 −0 lib/rupture/version.rb
  7. +18 −58 rupture.gemspec
  8. +1 −1 test/test_helper.rb
View
@@ -1 +1,3 @@
-*~
+*~
+Gemfile.lock
+pkg/
View
@@ -0,0 +1 @@
+ree-1.8.7-2012.02
View
@@ -0,0 +1,3 @@
+source "http://www.rubygems.org"
+
+gemspec
View
@@ -1,37 +1,10 @@
-require 'rake'
require 'rake/testtask'
-require 'rubygems'
-
-begin
- require 'jeweler'
- Jeweler::Tasks.new do |s|
- s.name = "rupture"
- s.summary = %Q{Clojure sequence functions for Ruby.}
- s.email = "code@justinbalthrop.com"
- s.homepage = "http://github.com/flatland/rupture"
- s.description = "Clojure sequence functions for Ruby."
- s.authors = ["Justin Balthrop"]
- s.add_dependency('hamster', '>= 0.4.2')
- end
- Jeweler::GemcutterTasks.new
-rescue LoadError
- puts "Jeweler not available. Install it with: sudo gem install jeweler"
-end
+require 'bundler/gem_tasks'
Rake::TestTask.new do |t|
- t.libs << 'lib'
+ t.libs = ['lib']
t.pattern = 'test/**/*_test.rb'
t.verbose = false
end
-begin
- require 'rcov/rcovtask'
- Rcov::RcovTask.new do |t|
- t.libs << 'test'
- t.test_files = FileList['test/**/*_test.rb']
- t.verbose = true
- end
-rescue LoadError
-end
-
task :default => :test
View
@@ -1 +0,0 @@
-0.1.0
View
@@ -0,0 +1,3 @@
+class Rupture
+ VERSION = "0.2.0"
+end
View
@@ -1,63 +1,23 @@
-# Generated by jeweler
-# DO NOT EDIT THIS FILE DIRECTLY
-# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
# -*- encoding: utf-8 -*-
+lib = File.expand_path('../lib', __FILE__)
+$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
+require 'rupture/version'
-Gem::Specification.new do |s|
- s.name = %q{rupture}
- s.version = "0.1.0"
+Gem::Specification.new do |gem|
+ gem.name = "test"
+ gem.version = Rupture::VERSION
+ gem.authors = ["Justin Balthrop", "Alan Malloy"]
+ gem.email = ["git@justinbalthrop.com"]
+ gem.description = %q{Clojure sequence functions for Ruby.}
+ gem.summary = gem.description
+ gem.homepage = "https://github.com/flatland/rupture"
- s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
- s.authors = ["Justin Balthrop"]
- s.date = %q{2011-09-09}
- s.description = %q{Clojure sequence functions for Ruby.}
- s.email = %q{code@justinbalthrop.com}
- s.extra_rdoc_files = [
- "LICENSE",
- "README.md"
- ]
- s.files = [
- "LICENSE",
- "README.md",
- "Rakefile",
- "VERSION",
- "init.rb",
- "lib/rupture.rb",
- "lib/rupture/array_seq.rb",
- "lib/rupture/cons.rb",
- "lib/rupture/core_ext.rb",
- "lib/rupture/fn.rb",
- "lib/rupture/function.rb",
- "lib/rupture/lazy_seq.rb",
- "lib/rupture/list.rb",
- "lib/rupture/lookup.rb",
- "lib/rupture/meta.rb",
- "lib/rupture/rails_ext.rb",
- "lib/rupture/reader.rb",
- "lib/rupture/seq.rb",
- "lib/rupture/sequence.rb",
- "lib/rupture/symbol.rb",
- "lib/rupture/utils.rb",
- "rupture.gemspec",
- "test/fn_test.rb",
- "test/list_test.rb",
- "test/meta_test.rb",
- "test/seq_test.rb",
- "test/test_helper.rb"
- ]
- s.homepage = %q{http://github.com/flatland/rupture}
- s.require_paths = ["lib"]
- s.rubygems_version = %q{1.3.7}
- s.summary = %q{Clojure sequence functions for Ruby.}
+ gem.add_development_dependency 'shoulda'
+ gem.add_development_dependency 'mocha'
+ gem.add_development_dependency 'hamster'
- if s.respond_to? :specification_version then
- current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
- s.specification_version = 3
-
- if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
- else
- end
- else
- end
+ gem.files = `git ls-files`.split($/)
+ gem.executables = gem.files.grep(%r{^bin/}).map{ |f| File.basename(f) }
+ gem.test_files = gem.files.grep(%r{^(test|spec|features)/})
+ gem.require_paths = ["lib"]
end
-
View
@@ -1,7 +1,7 @@
require 'rubygems'
require 'test/unit'
require 'shoulda'
-require 'mocha'
+require 'mocha/setup'
require 'pp'
$LOAD_PATH.unshift File.dirname(__FILE__) + "/../lib"

0 comments on commit ad2efe5

Please sign in to comment.